using AutoMapper;
using Diligent.WebAPI.Data.Entities;
using Diligent.WebAPI.Host.DTOs.Customer;
using Diligent.WebAPI.Host.DTOs.Request;

namespace Diligent.WebAPI.Host.Mapper
{
    public class RequestMappingProfile : Profile
    {
        public RequestMappingProfile()
        {
            CreateMap<RequestCreateDTO, Request>();
            CreateMap<Room, RequestRoomReadDTO>();
            CreateMap<Request, CustomerRequestRoomReadDTO>();
        }
    }
}
